<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.channel.mapper.KuaishouChannelItemsRelMapper">

    <select id="queryItems" resultType="cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannelItems">
        SELECT t2.item_name, t2.project_id, t2.project_name, t2.state, keyword
        FROM ctop_kuaishou_channel_items_rel t1
                 LEFT JOIN ctop_kuaishou_channel_items t2 ON t1.item_id = t2.id
        WHERE t1.channel_id = #{channelId}
    </select>
</mapper>